• Print

puNES 0.98

Description

puNES is an emulator under development that works on Linux32/64 and Windows32/64. The SDL version, of course, needs of SDL libraries to run. Uncompress the zip/tar file in a subdirectory and use. The emulator, finally, support compressed archives.
Mappers supported : 0, 1, 2, 3, 4, 5, 7, 9, 10, 11, 12, 13, 15, 16, 18, 19, 21, 22, 23, 24, 25, 26, 28, 31, 32, 33, 34, 37, 38, 41, 42, 44, 45, 46, 47, 49, 50, 51, 52, 53, 56, 57, 58, 60, 61, 62, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 82, 83, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 99, 105, 107, 108, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 132, 133, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 147, 148, 149, 150, 152, 153, 154, 156, 158, 159, 163, 164, 165, 171, 172, 173, 175, 176, 177, 178, 180, 182, 183, 184, 185, 186, 189, 191, 192, 193, 194, 195, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 211, 212, 213, 214, 215, 216, 217, 221, 222, 225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 240, 241, 242, 243, 244, 245, 246, 249.
UNIF boards supported: NROM, NROM-128, NROM-256, Sachen-74LS374N, A65AS, UOROM, TC-U01-1.5M, SA-NROM, SLROM, 22211, TLROM, TBROM, TKROM, Sachen-8259C, SA-016-1M, Sachen-8259D, ANROM, FK23C, FK23CA, D1038, MARIO1-MALEE2.
Sound : Implemented.
FDS : Implemented.
Game Genie : Implemented.

Changelog

0.98 (Bugfix release)

  • Windows: fixed a bug (introduced in the rewriting of the audio subsystem of version 0.97) that did not allow the correct synchronization between threads distorting the sound after a few minutes of use.
  • fixed a typo in the config file configuration for the "panning" option.
  • converted to autotools build system.
  • from now puNES is an open-source project (https://github.com/punesemu/puNES). Among the links now there will always be the source tarball of the latest release. I will continue to release binaries for Linux versions even though I do not think will serve much longer. At compile time, you can specify whether you want to use the QT5 instead of QT4 passing the "--enable-qt5" to configure.

Links

Downloads

Gallery

Loading video...